Package de.willuhn.jameica.hbci.accounts.hbci

# Interface HBCIVariant

All Known Implementing Classes:
  `HBCIVariantChipcard`, `HBCIVariantKey`, `HBCIVariantPinTan`

public interface HBCIVariant
Interface fuer eine HBCI-Zugangsvariante.

## Method Summary

Modifier and Type
Method
Description
`void`
`create()`
Startet den Assistenten zur Erzeugung eines Bankzugangs mit der Variante.
`de.willuhn.jameica.gui.parts.InfoPanel`
`getInfo()`
Liefert ein vorausgefuelltes Info-Panel fuer die HBCI-Variante.
`String`
`getName()`
Liefert einen sprechenden Namen fuer die HBCI-Variante.

## Method Details

### getName

String getName()
Liefert einen sprechenden Namen fuer die HBCI-Variante.

Returns:
  sprechender Name fuer die HBCI-Variante.

### getInfo

de.willuhn.jameica.gui.parts.InfoPanel getInfo()
Liefert ein vorausgefuelltes Info-Panel fuer die HBCI-Variante.

Returns:
  ein vorausgefuelltes Info-Panel fuer die HBCI-Variante.

### create

void create() throws de.willuhn.util.ApplicationException
Startet den Assistenten zur Erzeugung eines Bankzugangs mit der Variante.

Throws:
  `de.willuhn.util.ApplicationException`